View Issue Details

IDProjectCategoryView StatusLast Update
0003854SOGoWeb Mailpublic2016-11-02 12:37
Reporteralwaysk2 Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version3.2.0 
Fixed in Version3.2.1 
Summary0003854: CKEDITOR additional skins/extensions gets reset on update
Description

Hi,

We are using ckeditor's moonocolor skin and pastefromexcel extension, however when we update sogo all settings gets reset.

We need to edit following files to get back skin and extension.

FILE - build-config.js:

plugins : {
    ....
    ....
'pastefromexcel' : 1,
    ....
},

FILE - ckeditor.js:

CKEDITOR.skin.name="moonocolor"

CKEDITOR.config.skin='moonocolor';

CKEDITOR.config.plugins= .... ,pastefromexcel, ....

FILE- config.js

config.extraPlugins = 'pastefromexcel';

Is there any way where we can update sogo and keep these settings?

Same thing also happens with LOGO on rootpage which gets reset everytime sogo is updated.

TagsNo tags attached.

Activities

francis

francis

2016-10-20 14:02

administrator   ~0010764

If you modify build-config.js, it means you're using a custom build of CKEditor so it's unfortunately not possible to avoid the files to be overwritten when updating SOGo.

Your best approach would be to move your custom CKEditor to a different directory and modify your webserver configuration to point to it.

alwaysk2

alwaysk2

2016-10-21 05:12

reporter   ~0010771

Hi Francis,

I think I am only using pastefromexcel plugin in CKEditor for SOGo as by applying this plugin SOGo editor allows copy pasting of Excel tables and layouts in proper manner. And about ckeditor skin this can be handled or ignored at my end. Just need this excel thing.

Can't this be integrated in default SOGo installation?

alwaysk2

alwaysk2

2016-11-02 12:34

reporter   ~0010809

wow.. so fast... Thanks a million francis.

Related Changesets

sogo: master 17e65da6

2016-11-02 12:19:00

francis

Details Diff
(js) Add CKEditor pastefromexcel plugin

Fixes 0003854
Affected Issues
0003854
mod - NEWS Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/build-config.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/ckeditor.js Diff File

Issue History

Date Modified Username Field Change
2016-10-20 13:58 alwaysk2 New Issue
2016-10-20 14:02 francis Note Added: 0010764
2016-10-21 05:12 alwaysk2 Note Added: 0010771
2016-11-02 12:30 francis Changeset attached => sogo master 17e65da6
2016-11-02 12:30 francis Assigned To => francis
2016-11-02 12:30 francis Resolution open => fixed
2016-11-02 12:34 alwaysk2 Note Added: 0010809
2016-11-02 12:37 francis Status new => resolved
2016-11-02 12:37 francis Fixed in Version => 3.2.1